package com.yifu.cloud.plus.v1.business.service.system;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.business.entity.system.TBusWarning;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;

/**
 * B端预警表
 *
 * @author hgw
 * @date 2021-08-20 17:39:51
 */
public interface TBusWarningService extends IService<TBusWarning> {

     /**
      * B端预警表简单分页查询
      *
      * @param tBusWarning B端预警表
      * @return
      */
     IPage<TBusWarning> getTBusWarningPage(Page<TBusWarning> page, TBusWarning tBusWarning);

     /**
      * @param
      * @Description: 获取所有要自动发送的主表，以及人员信息进行定时任务发送短信
      * @Author: hgw
      * @Date: 2021/8/25 11:32
      * @return: com.yifu.cloud.v1.common.core.util.R<java.lang.Boolean>
      **/
     R<Boolean> doBatchSendBusSms();

     /**
      * @param dateStr
      * @Description: 更新当日所有发送的短信状态
      * @Author: hgw
      * @Date: 2021/8/25 11:32
      * @return: com.yifu.cloud.v1.common.core.util.R<java.lang.Boolean>
      **/
     R<Boolean> doUpdateSendBusSmsStatus(String dateStr);

}
